Bug 1129667 - [abrt] fedora-gooey-karma: adapters.py:327:send:ConnectionError: HTTPSConnectionPool(host='admin.fedoraproject.org', port=443): Max retries exceeded with url: /updates/list (Caused by <class 'socket.gaierror'>: [Errno -2] Name or service not known)
Summary: [abrt] fedora-gooey-karma: adapters.py:327:send:ConnectionError: HTTPSConnect...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-gooey-karma
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Branislav Blaskovic
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c12dd534857557261b0c32a1810...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 12:47 UTC by Sebastian
Modified: 2015-06-29 22:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:03:15 UTC


Attachments (Terms of Use)
File: backtrace (2.32 KB, text/plain)
2014-08-13 12:47 UTC, Sebastian
no flags Details
File: dso_list (70 bytes, text/plain)
2014-08-13 12:47 UTC, Sebastian
no flags Details
File: environ (1.54 KB, text/plain)
2014-08-13 12:47 UTC, Sebastian
no flags Details

Description Sebastian 2014-08-13 12:47:23 UTC
Description of problem:
I was just starting 'fedora-gooey-karma' and clicked on the reload Packages button.
The program starts to load all the stuff but just stops at 92% every time.

Version-Release number of selected component:
fedora-gooey-karma-0.1-4.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python2 -tt /usr/bin/fedora-gooey-karma
executable:     /usr/bin/fedora-gooey-karma
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
adapters.py:327:send:ConnectionError: HTTPSConnectionPool(host='admin.fedoraproject.org', port=443): Max retries exceeded with url: /updates/list (Caused by <class 'socket.gaierror'>: [Errno -2] Name or service not known)

Traceback (most recent call last):
  File "/usr/bin/../share/fedora-gooey-karma/bodhiworker.py", line 55, in run
    variant, bodhi_update = self.__bodhi_query_pkg(package)
  File "/usr/bin/../share/fedora-gooey-karma/bodhiworker.py", line 153, in __bodhi_query_pkg
    pkg_update = self.bc.query(release=rel, package=package.name, status='testing')['updates']
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 148, in query
    return self.send_request('list', req_params=params, auth=auth)
  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 369, in send_request
    auth_params=auth_params, retries=retries, timeout=timeout)
  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 397, in send_request
    timeout=timeout,
  File "/usr/lib/python2.7/site-packages/requests/api.py", line 88, in post
    return request('post', url, data=data, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/api.py", line 44, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 335, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 438, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/adapters.py", line 327, in send
    raise ConnectionError(e)
ConnectionError: HTTPSConnectionPool(host='admin.fedoraproject.org', port=443): Max retries exceeded with url: /updates/list (Caused by <class 'socket.gaierror'>: [Errno -2] Name or service not known)

Local variables in innermost frame:
chunked: False
e: MaxRetryError("HTTPSConnectionPool(host='admin.fedoraproject.org', port=443): Max retries exceeded with url: /updates/list (Caused by <class 'socket.gaierror'>: [Errno -2] Name or service not known)",)
stream: False
url: '/updates/list'
verify: True
self: <requests.adapters.HTTPAdapter object at 0x7f90ec02da10>
request: <PreparedRequest [POST]>
cert: None
timeout: 120.0
proxies: OrderedDict()
conn: <urllib3.connectionpool.HTTPSConnectionPool object at 0x7f90ec02de90>

Comment 1 Sebastian 2014-08-13 12:47:26 UTC
Created attachment 926407 [details]
File: backtrace

Comment 2 Sebastian 2014-08-13 12:47:27 UTC
Created attachment 926408 [details]
File: dso_list

Comment 3 Sebastian 2014-08-13 12:47:28 UTC
Created attachment 926409 [details]
File: environ

Comment 4 Fedora End Of Life 2015-05-29 12:37:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 22:03:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.